mirrorlog command for mirrors is broken

Bug #1298017 reported by Vish Ishaya on 2014-03-26
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
High
Vish Ishaya

Bug Description

014-03-26 18:49:58.225 6202 TRACE cinder.brick.local_dev.lvm Command: sudo cinder-rootwrap /etc/cinder/rootwrap.conf lvcreate -n volume-957c3759-a76e-4cd4-8075-1818b0d46bae vg.nebula.openstack -L 10g -m 1 --nosync --mirrorlog mirrored
2014-03-26 18:49:58.225 6202 TRACE cinder.brick.local_dev.lvm Exit code: 3
2014-03-26 18:49:58.225 6202 TRACE cinder.brick.local_dev.lvm Stdout: ''
2014-03-26 18:49:58.225 6202 TRACE cinder.brick.local_dev.lvm Stderr: "/sbin/lvcreate: unrecognized option '--mirrorlog mirrored'\n Error during parsing of command line.\n"

The two values need to be passed separately.

Changed in cinder:
importance: Undecided → High
status: New → In Progress
assignee: nobody → Vish Ishaya (vishvananda)

Reviewed: https://review.openstack.org/83179
Committed: https://git.openstack.org/cgit/openstack/cinder/commit/?id=6868c7adb3a35cdda390dd87050d6661067c23a0
Submitter: Jenkins
Branch: master

commit 6868c7adb3a35cdda390dd87050d6661067c23a0
Author: Vishvananda Ishaya <email address hidden>
Date: Wed Mar 26 12:09:28 2014 -0700

    Pass the mirrorlog option as two arguments.

    We don't use shell=True when we Popen, so we have to keep all
    arguments as separate values.

    Change-Id: Ic35fad36be72386d3496920e259c32fe16625046
    Closes-bug: 1298017

Changed in cinder:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-03-27
Changed in cinder:
milestone: none → icehouse-rc1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-04-17
Changed in cinder:
milestone: icehouse-rc1 → 2014.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers